# operator+(std::move_iterator)

From cppreference.com
< cpp‎ | iterator‎ | move iterator

template< class Iter > move_iterator<Iter> operator+( typename move_iterator<Iter>::difference_type n, const move_iterator<Iter>& it ); |  | (until C++17)
template< class Iter > constexpr move_iterator<Iter> operator+( typename move_iterator<Iter>::difference_type n, const move_iterator<Iter>& it ); |  | (since C++17)

Returns the iterator `it` incremented by `n`.

### Parameters

n | - | the number of positions to increment the iterator
it | - | the iterator adaptor to increment

### Return value

The incremented iterator, that is move_iterator<Iter>(it.base() + n)

### Example

| This section is incomplete Reason: no example

### See also

operator++operator++(int)operator+=operator+operator--operator--(int)operator-=operator- | advances or decrements the iterator (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/iterator/move_iterator/operator%2B&oldid=42226"